"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.querySelectorAllInPage = void 0;
async function querySelectorAllInPage(selector, page) {
    if (!page) {
        throw new Error(`Cannot query selector '${selector}' because no browser has been launched`);
    }
    try {
        const elements = await page.$$(selector);
        return elements;
    }
    catch (error) {
        // eslint-disable-next-line no-console
        console.warn(`An internal error has occured in Playwright API when executing page.$$ : `, error);
        return [];
    }
}
exports.querySelectorAllInPage = querySelectorAllInPage;
